Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07923 Sound Minor Always Apr 1, 2021, 00:25 Apr 4, 2021, 01:09
Tester ICEknight View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver megadriv.cpp
Version 0.230 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit 52f0acb Github Pull Request #
Summary MESS-specific 07923: genesis [vecman]: Problems with title music in Vectorman
Description Some instruments on the Title Screen either get cut too early or barely play at all.
Steps To Reproduce Just load the game and wait for a bit, or press Start until the Title Screen appears.
Additional Information Worked on nightly build 2021-03-16 11:45 https://www.mediafire.com/file/wox6bhzm5gim5zz/16032021-11.45_mame.7z

I've noticed that similar problems may randomly happen with the sound effects in Sonic 1, though not as noticeably.

Might be related to https://mametesters.org/view.php?id=7922
Github Commit
Flags Verified with Original
Regression Version 0.230
Affected Sets / Systems genesis [vecman]
Attached Files
 
Relationships
related to 07922Resolvedaaron  genesis [sporttbb]: The bat hitting the baseball sound effect is only heard if you hit the first pitch 
Notes
3
User avatar
No.18622
Tafoid
Administrator
Apr 1, 2021, 01:01
Clear and recent regression:
https://github.com/mamedev/mame/commit/44af84da34c9ac6a789cbbea86846814b5373544
User avatar
No.18624
aaron
Developer
Apr 1, 2021, 01:41
edited on: Apr 1, 2021, 01:41
Thanks for pointing this out. Sadly, my backport of a simple optimization missed a step. The good news is that it's already fixed as part of the forthcoming OPL change, so it will be back to correct again in the next version. I'll leave this open until the OPL changes are merged in.
User avatar
No.18638
ICEknight
Tester
Apr 4, 2021, 01:09
Sounds perfect now, great work!